Package Details: libsecp256k1-git 20171221-2

Git Clone URL: https://aur.archlinux.org/libsecp256k1-git.git (read-only)
Package Base: libsecp256k1-git
Description: Optimized C library for EC operations on curve secp256k1
Upstream URL: https://github.com/bitcoin-core/secp256k1
Licenses: MIT
Conflicts: libsecp256k1
Provides: libsecp256k1
Submitter: atweiden
Maintainer: None
Last Packager: atweiden
Votes: 12
Popularity: 0.000099
First Submitted: 2016-04-03 15:33
Last Updated: 2018-08-18 01:40

Dependencies (6)

Required by (27)

Sources (1)

Latest Comments

1 2 Next › Last »

Gelmo commented on 2018-01-18 23:53

@zorun - Excellent, Thanks!

zorun commented on 2017-12-31 17:49

I have just merged secp256k1-git into libsecp256k1-git, and uploaded a "stable" version in [community]: https://www.archlinux.org/packages/community/x86_64/libsecp256k1/

Gelmo commented on 2017-12-21 23:08

Hello,

I was able to build this by removing the extraneous -git from the PKGBUILD (but not from pkgname):

https://pastebin.com/raw/fb5gTzZw

Gelmo commented on 2017-12-21 21:00

Hello,

I'm receiving the same errors.

fludardes commented on 2017-12-21 19:26

Hi, I also have build errors: src/bench_ecdh.c:39:13: error: ‘bench_ecdh’ redeclared as different kind of symbol src/bench_ecdh.c:42:17: error: ‘data’ undeclared (first use in this function); did you mean ‘atan’? bench_ecdh data = (bench_ecdh)arg;

And other. Full error text: https://pastebin.com/uvdKiqGT

kidsatch commented on 2017-12-21 16:39

Hi, I got a build failure (sorry for french message): src/bench_ecdh.c:42:17: error: « data » non déclaré (première utilisation dans cette fonction); vouliez-vous utiliser « atan » ? bench_ecdh data = (bench_ecdh)arg;

I am the only one?

goldielin commented on 2017-12-10 09:48

Hi, I got a build failure at pkgver(), please consider add "--no-show-signature" option to "git log" command in pkgver() in PKGBUILD, because I've enabled "log.showSignature = true" in my ~/.gitconfig, thanks.

zorun commented on 2017-10-30 21:35

@atweiden why are there two packages secp256k1-git and libsecp256k1-git?

As far as I can tell:

- the "correct" upstream is https://github.com/bitcoin-core/secp256k1
- the correct name for this package is "secp256k1{,-git}". The "lib" prefix in "libsecp256k1-git" is superfluous

leshow commented on 2015-02-16 17:28

you got it!

when this libbitcoin was still more sx-tools i think i built secp256k1 back then to try and get the outdated package to work, perhaps an install of an older version of secp256k1 left some of the 'cruft' as you put it in odd places.

Either way it builds successfully now, thank you very much for your help getting this to build.

atweiden commented on 2015-02-15 22:16

This error line is probably the cause of your issue:

/usr/local/include/secp256k1.h:85:34: note: declared here

How did secp256k1.h get installed to /usr/local :)? What is the output of `pacman -Qo /usr/local/include/secp256k1.h`?

What probably happened is you previously installed secp256k1 without using Pacman, and the old secp256k1 cruft is conflicting with the new secp256k1-git pkg. The solution is to remove the old secp256k1. You should look in /usr/local for these files:

$ sudo pacman -S mlocate
$ locate secp256k1.h
$ locate libsecp256k1.so
$ locate libsecp256k1.so.0
$ locate libsecp256k1.so.0.0.0
$ locate libsecp256k1.pc

After removing the cruft in /usr/local, start over the build process.